import React from 'react'
import BackgroundSlider from 'gatsby-image-background-slider'

export default ({
  children,
  className,
  duration,
  gatsbyImageProps,
  images,
  initDelay,
  query,
  sliderStyle,
  transition,
  wrapperStyle,
}) => {
  const defaultWrapperStyle = {
    minHeight: '50px',
    minWidth: '50px',
    position: 'relative',
  }

  return (
    <div
      className={className}
      style={{ ...defaultWrapperStyle, ...wrapperStyle }}
    >
      <BackgroundSlider
        duration={duration}
        gatsbyImageProps={gatsbyImageProps}
        images={images}
        initDelay={initDelay}
        query={query}
        style={sliderStyle}
        transition={transition}
      >
        {children}
      </BackgroundSlider>
    </div>
  )
}
