import React from 'react'
import { Link as GatsbyLink } from 'gatsby'

export default ({
  children,
  to,
  activeClassName,
  partiallyActive,
  getProps,
  ...other
}) => {
  const internal = /^\/(?!\/)/.test(to)

  if (internal) {
    return (
      <GatsbyLink
        activeClassName={activeClassName}
        getProps={getProps}
        partiallyActive={partiallyActive}
        to={to}
        {...other}
      >
        {children}
      </GatsbyLink>
    )
  }

  return (
    <a href={to} {...other}>
      {children}
    </a>
  )
}
